[package]
name = "shape"
description.workspace = true
version.workspace = true
authors.workspace = true
edition.workspace = true
readme.workspace = true
homepage.workspace = true
documentation.workspace = true
repository.workspace = true
license.workspace = true

[dependencies]
anyhow.workspace = true
bevy_ecs.workspace = true
bitflags.workspace = true
glam.workspace = true
image.workspace = true
log.workspace = true
memoffset.workspace = true
once_cell.workspace = true
smallvec.workspace = true
zerocopy.workspace = true
wgpu.workspace = true
uuid.workspace = true
# libs
absolute_unit.workspace = true
animate.workspace = true
atlas.workspace = true
atmosphere.workspace = true
camera.workspace = true
catalog.workspace = true
composite.workspace = true
geodesy.workspace = true
geometry.workspace = true
gui.workspace = true
mantle.workspace = true
i386.workspace = true
installations.workspace = true
marker.workspace = true
phase.workspace = true
nitrous.workspace = true
orrery.workspace = true
pal.workspace = true
peff.workspace = true
pic.workspace = true
pic_uploader.workspace = true
runtime.workspace = true
sh.workspace = true
shader_shared.workspace = true
terrain.workspace = true
t2_terrain.workspace = true
vehicle.workspace = true
world.workspace = true

[dev-dependencies]
itertools.workspace = true
# libs
geodb.workspace = true
stars.workspace = true
terrain.workspace = true

[build-dependencies]
build_shaders.workspace = true
